USB_FILL_CONTROL_U(9)

NAME
usb_fill_control_urb - initializes a control urb

SYNOPSIS

void usb_fill_control_urb (struct urb * urb, struct usb_device * dev, unsigned int pipe, unsigned char * setup_packet, void * transfer_buffer, int buffer_length, usb_complete_t complete, void * context);

ARGUMENTS

urb pointer to the urb to initialize.

dev pointer to the struct usb_device for this urb.

pipe
    the endpoint pipe

setup_packet
    pointer to the setup_packet buffer

transfer_buffer
    pointer to the transfer buffer

buffer_length
    length of the transfer buffer

complete
    pointer to the usb_complete_t function

context
    what to set the urb context to.

DESCRIPTION

Initializes a control urb with the proper information needed to submit it to a device.